Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xfhell
Version:        1.9
Release:        alt1_22
Summary:        GTK based Ham Radio application for the Hellschreiber communications mode

License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/%{name}/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
# -Werror=format-security
Patch0:         xfhell-1.9-format-security.patch

BuildRequires:  gcc
BuildRequires:  autoconf, automake gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel, desktop-file-utils
Source44: import.info
#Requires:       

%description
xfhell is a GTK+ application for the "fuzzy" digital amateur radio 
communication mode known as Hellschreiber. 


%prep
%setup -qn %{name}
%patch0 -p1


%build
./autogen.sh
%configure
%make_build CFLAGS="$RPM_OPT_FLAGS" LIBS=" -lm"


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%files
#Missing copy of the GPL, Notified upstream
%doc AUTHORS ChangeLog README
%doc doc/BDF_Spec.pdf doc/xfhell.html
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_22
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_20
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_17
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_16
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_15
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_14
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_11
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_10
- initial fc import

